# -*- coding: utf-8 -*-
# Author: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Script that shows the qt gui."""

# pylint: disable=F0401, E1101
from twisted.internet import reactor
from twisted.internet.defer import inlineCallbacks
from ubuntuone.platform.credentials import CredentialsManagementTool


@inlineCallbacks
def main():
    """Perform a client request to be logged in."""
    credtool = CredentialsManagementTool()

    creds = yield credtool.login_email_password(
          email='whomever@canonical.com',
          password='whatever',
    )
    print "creds found", creds
    reactor.stop()


if __name__ == '__main__':
    main()
    reactor.run()
